Bug 170963 - evolution does not terminate evolution-alarm-notify or evolution-data-server on Exit
evolution does not terminate evolution-alarm-notify or evolution-data-server ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-16 09:49 EDT by Frank DiPrete
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-09 12:48:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank DiPrete 2005-10-16 09:49:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc3 Firefox/1.0.7

Description of problem:

After closing Evolution evolution-alarm-notify and evolution-data-server are still runing.

evolution-alarm-notify chews up 62.4M of RAM
evolution-data-server chews up 76.0M of RAM

Version-Release number of selected component (if applicable):
evolution 2.04

How reproducible:
Always

Steps to Reproduce:
1.run evolution
2.close evolution
3.examine process list
  

Actual Results:  evolution-alarm-notify and evolution-data-server are still runing.

Expected Results:  on exit, evolution should stop child processes.

Additional info:

4533 ?        Sl     0:00 /usr/libexec/evolution-data-server-1.0 --oaf-activate-iid=OAFIID:GNOME_Evolution_DataServer_InterfaceCheck --oaf-ior-fd=43
 4539 ?        Sl     0:00 /usr/libexec/evolution/2.0/evolution-alarm-notify --oaf-activate-iid=OAFIID:GNOME_Evolution_Calendar_AlarmNotify_Factory:2.0 --oaf-ior-fd=45
Comment 1 Matthew Miller 2006-07-10 16:15:19 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Frank DiPrete 2006-07-11 07:10:12 EDT
still present through 4 and 5
evolution 2.6.2 leaves processes running after closing.

workaround - wrapper script to kill the dangling processes still running after
closing evolution.
Comment 3 Matthew Miller 2006-07-11 12:11:03 EDT
Moving to FC5 as per comment #2. Thanks!
Comment 4 Matthew Miller 2006-07-11 14:40:37 EDT
(clearing needinfo bit.)
Comment 5 Jens Knutson 2006-08-17 02:41:59 EDT
This is a feature, not a bug.  The notify daemon stays running so that one still
receives things like calendar reminders from Evo even when the main Evo apps are
closed.  The notify daemon (I believe), the Clock applet's calendar/task list,
and lots of other apps now rely on EDS, thus EDS also stays open.

Also, to quell any memory concerns, using the new "Memory" column from Gnome
System Monitor 2.15.91 under FC6-test, EDS and evo-alarm-notify only chew up 5
and 1.5 MB of memory, respectively.  This new column is intended to show the
"true" memory usage of apps - see this bug:
http://bugzilla.gnome.org/show_bug.cgi?id=341241
Comment 6 Matthew Barnes 2007-01-09 12:48:28 EST
Closing as NOTABUG per comment #5.

Note You need to log in before you can comment on or make changes to this bug.